/*
 * Copyright (C) 2002-2003 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.sqlPlugin;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import java.util.ResourceBundle;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2004/10/13 20:26:07 $
 */
public class VersionInfo
{
	private static String version;
	private static Date builtDate;
	private static String copyright;
	private static String built;

	private VersionInfo()
	{
	}

	static
	{
		ResourceBundle bundle=ResourceBundle.getBundle("com.kiwisoft.sqlPlugin.Build", Locale.getDefault(), VersionInfo.class.getClassLoader());
		version=bundle.getString("version");
		copyright=bundle.getString("copyright");
		built=bundle.getString("built.number");
		try
		{
			builtDate=new SimpleDateFormat("d-M-yyyy").parse(bundle.getString("built.date"));
		}
		catch (ParseException e)
		{
			builtDate=new Date(0);
		}
	}

	public static String getVersion()
	{
		return version;
	}

	public static String getCopyright()
	{
		return copyright;
	}

	public static Date getBuiltDate()
	{
		return builtDate;
	}

	public static String getBuiltNumber()
	{
		return built;
	}
}
