/*
 * Copyright (C) 2002-2003 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.sqlPlugin.actions;

import java.awt.Window;
import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JPanel;

import com.kiwisoft.sqlPlugin.AboutWindow;
import com.kiwisoft.sqlPlugin.IconNames;
import com.kiwisoft.utils.gui.IconManager;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.1 $, $Date: 2004/07/21 20:40:14 $
 */
public class AboutAction extends AbstractAction
{
	private JPanel panel;

	public AboutAction(JPanel panel)
	{
		super("About", IconManager.getIcon(AboutAction.class.getClassLoader(), IconNames.ABOUT));
		this.panel=panel;
		putValue(Action.SHORT_DESCRIPTION, "Information about this plugin.");
	}

	public void actionPerformed(ActionEvent e)
	{
		new AboutWindow((Window)panel.getTopLevelAncestor()).show();
	}
}
