/*
 * Copyright (C) 2002-2003 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.sqlPlugin.templates;

import com.kiwisoft.utils.xml.XMLContext;
import com.kiwisoft.utils.xml.XMLAdapter;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2004/09/21 12:02:20 $
 */
public class StatementTemplateImpl extends XMLAdapter implements StatementTemplate
{
	private String name;
	private String text;

	public StatementTemplateImpl(String name, String text)
	{
		this.name=name;
		this.text=text;
	}

	public String getName()
	{
		return name;
	}

	public void setName(String name)
	{
		this.name=name;
	}

	public String getText()
	{
		return text;
	}

	public void setText(String text)
	{
		this.text=text;
	}

	public StatementTemplateImpl(XMLContext context, String name)
	{
		super(context, name);
	}

	public void setXMLAttribute(XMLContext context, String name, String value)
	{
		if ("name".equalsIgnoreCase(name)) this.name=value;
		else if ("value".equalsIgnoreCase(name)) this.text=value;
	}
}
