/*
 * Copyright (C) 2002-2003 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.utils;

import java.io.File;
import java.io.FilenameFilter;
import javax.swing.filechooser.FileFilter;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.1 $, $Date: 2004/07/21 20:38:30 $
 */
public class RegularFileFilter extends FileFilter implements FilenameFilter
{
	private String filter;
	private String description;

	public RegularFileFilter(String filter)
	{
		this.filter=filter;
	}

	public RegularFileFilter(String filter, String description)
	{
		this.filter=filter;
		this.description=description;
	}

	public boolean accept(File dir,String name)
	{
		return StringUtils.matchExpression(name,filter);
	}

	public boolean accept(File file)
	{
        return file.isDirectory() || StringUtils.matchExpression(file.getName(), filter);
	}

	public String getDescription()
	{
		return description;
	}

	public void setDescription(String description)
	{
		this.description=description;
	}

}
